PO4A-GETTEXTIZE(1p)

NOME
po4a-gettextize - converte um ficheiro original (e sua tradução) para um ficheiro PO

SINOPSE
po4a-gettextize -f fmt -m master.doc [-l XX.doc] -p XX.po

(XX.po é a saída, todos os outros são entradas)

DESCRIÇÃO
O objetivo do projeto po4a (PO para tudo) é facilitar traduções (e mais interessante, a manutenção das traduções) usando ferramentas gettext em áreas onde eles não eram esperados como documentação.

O script po4a-gettextize é responsável por converter ficheiros de documentação para ficheiros PO. Se você começar uma nova tradução, po4a-gettextize irá extrair as sequências traduzíveis a partir do ficheiro de documentação e escrever um ficheiro POT a partir dele.

Se você já tem um ficheiro traduzido, po4a-gettextize irá tentar extrair as traduções que ele contém e colocá-las no lugar no ficheiro PO escrito. Esteja atento que há pouca inteligência usada neste processo: a enésima sequência do ficheiro traduzido é suposto ser a tradução da enésima sequência no original. Se não for o caso, você está morto. É por isso que é muito importante que ambos os ficheiros partilhem exatamente a mesma estrutura.

No entanto, po4a-gettextize irá diagnosticar a sua morte através da detecção de qualquer dessincronização entre os ficheiros, e relatar onde elas ocorrem. Nesse caso, você deve editar manualmente os ficheiros para resolver disparidade apresentada. Mesmo se nenhum erro foi relatado, deve verificar com cuidado se o ficheiro PO gerado está correto (ou seja, que cada mensagem traduzida é a tradução da mensagem identificada associada, e não a anterior ou posterior).

Mesmo que o script consiga fazer o seu trabalho sem qualquer problema aparente, ainda marca as traduções extraídas como imprecisas, para se certificar de que o tradutor irá ter um olhar para elas, e detectar qualquer problema remanescente.

Se o documento principal tem caracteres não-ASCII, o novo ficheiro PO geradoserá em UTF-8, a fim de permitir caracteres não-padrão numa maneira de cultura independente. Além disso (se o documento principal é totalmente em ASCII), o PO gerado irá usar a codificação do documento de entrada convertida.

OPÇÕES

-f, --format
    O formato da documentação que pretende processar. Use a opção --help-format para ver a lista de formatos disponíveis.

-m, --master
    Ficheiro contendo o documento principal para traduzir. Você pode usar esta opção várias vezes se quiser 'gettextize' vários documentos.

-M, --master-charset
    Conjunto de carateres do ficheiro que contém o documento a traduzir.

-l, --localized
    Ficheiro contendo o documento localizado (traduzido). Se você forneceu ficheiros mestres múltiplos, pode querer fornecer múltiplos ficheiros localizados usando esta opção mais de uma vez.

-L, --localized-charset
    Conjunto de carateres do ficheiro que contém o documento localizado.

-p, --po
    Ficheiro onde o catálogo de mensagens deve ser escrito. Se não for dado, a mensagem catálogo será escrito na saída padrão.

-o, --option
    Opção(s) extra para passar para o formato em modo de extensão. Especificar cada opção no formato 'name=value'. Consulte a documentação de cada modo de extenção para mais informações sobre as opções válidas e seus significados.

-h, --help
    Mostrar uma pequena mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos por po4a.

-V, --version
    Mostrar a versão do script e sair

-v, --verbose
    Aumentar o detalhe do programa.

-d, --debug
    Saída de alguma informação de depuração.

--msgid-bugs-address email@address
    Definir o endereço do relatório para msgid bugs. Por padrão, os ficheiros POT criados não têm campos Report-Msgid-bugs-To.

--copyright-holder string
    Definir o titular dos direitos de autor no cabeçalho POT. O valor padrão é " Free Software Foundation, Inc."

--package-name string
    Definir o nome do pacote para o cabeçalho POT. O padrão é "PACOTE".

--package-version string
    Definir o nome do pacote para o cabeçalho POT. O padrão é "VERSÃO".

VER TAMBÉM
po4a-normalize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DIREITOS DE AUTOR E LICENÇA
Direitos de Autor 2002-2012 por SPI, inc.

Este programa é software livre, você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (consulte o ficheiro CÓPIA).